com.google.appengine.api.search

## Class FacetRange

- java.lang.Object
- - com.google.appengine.api.search.FacetRange

-     public final class FacetRange
      extends java.lang.Object

  A FacetRange is a range with a start (inclusive) and an end (exclusive).

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEnd()` Returns the string representation of the upper bound of the range or null if there is no upper bound.
    `java.lang.String` | `getStart()` Returns the string representation of the lower bound of the range or null if there is no lower bound.
    `java.lang.String` | `toString()`
    `static FacetRange` | `withEnd(java.lang.Double end)` Creates a numeric `FacetRange` that matches any value less than `end`.
    `static FacetRange` | `withStart(java.lang.Double start)` Creates a numeric `FacetRange` that matches any value greater than or equal to `start`.
    `static FacetRange` | `withStartEnd(java.lang.Double start, java.lang.Double end)` Creates a numeric `FacetRange` that matches any value greater than or equal to `start` but less than `end`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### withStartEnd

          public static FacetRange withStartEnd(java.lang.Double start,
                                                java.lang.Double end)

      Creates a numeric `FacetRange` that matches any value greater than or equal to `start` but less than `end`.
      Returns:
        an instance of `FacetRange`.
      Throws:
        `java.lang.IllegalArgumentException` - if start or end is not a finite number.

    - #### withStart

          public static FacetRange withStart(java.lang.Double start)

      Creates a numeric `FacetRange` that matches any value greater than or equal to `start`.
      Returns:
        an instance of `FacetRange`.
      Throws:
        `java.lang.IllegalArgumentException` - if start or end is not a finite number.

    - #### withEnd

          public static FacetRange withEnd(java.lang.Double end)

      Creates a numeric `FacetRange` that matches any value less than `end`.
      Returns:
        an instance of `FacetRange`.
      Throws:
        `java.lang.IllegalArgumentException` - if start or end is not a finite number.

    - #### getStart

          public java.lang.String getStart()

      Returns the string representation of the lower bound of the range or null if there is no lower bound.

    - #### getEnd

          public java.lang.String getEnd()

      Returns the string representation of the upper bound of the range or null if there is no upper bound.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`